<?php
$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_SETORES == 1) {
	
	class SetoresController extends GxController {
	
	
		var $help = 'Cadastro dos setores da empresa acesso gerencial no menu Cadastros ->Setores. ';
	
			public function actionView($id) {
			$this->render('view', array(
				'model' => $this->loadModel($id, 'Setores'),
			));
		}
	
		public function actionCreate() {
			$model = new Setores;
	
	
			if (isset($_POST['Setores'])) {
				$model->setAttributes($_POST['Setores']);
	
				if ($model->save()) {
					if (Yii::app()->getRequest()->getIsAjaxRequest())
						Yii::app()->end();
					else
						$this->redirect(array('view', 'id' => $model->SET_IDSETOR));
				}
			}
	
			$this->render('create', array( 'model' => $model));
		}
	
		public function actionUpdate($id) {
			$model = $this->loadModel($id, 'Setores');
	
	
			if (isset($_POST['Setores'])) {
				$model->setAttributes($_POST['Setores']);
	
				if ($model->save()) {
					$this->redirect(array('view', 'id' => $model->SET_IDSETOR));
				}
			}
	
			$this->render('update', array(
					'model' => $model,
					));
		}
	
		public function actionDelete($id) {
			if (Yii::app()->getRequest()->getIsPostRequest()) {
				$this->loadModel($id, 'Setores')->delete();
	
				if (!Yii::app()->getRequest()->getIsAjaxRequest())
					$this->redirect(array('admin'));
			} else
				throw new CHttpException(400, 'Sua solicitação é inválida.');
		}
	
		public function actionAdmin() {
			$model = new Setores('search');
			$model->unsetAttributes();
	
			if (isset($_GET['Setores']))
				$model->setAttributes($_GET['Setores']);
	
			$this->render('admin', array(
				'model' => $model,
			));
		}
	
	}
	
}